package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * This interface describes all request creation methods a user should not use.
 * 
 * @author aw
 */
public interface RequestFactoryInternal {
	
	/**
	 * For internal use only.
	 */
	public NewSessionRequest createNewSessionReq();
	
	/**
	 * For internal use only.
	 * 
	 * @return
	 */
	public EndSessionRequest createEndSessionReq();
	
	/**
	 * For internal use only.
	 * 
	 * @return
	 */
	public RenewSessionRequest createRenewSessionReq();
	

	/**
	 * For internal use only.
	 * 
	 * @return
	 */
	public PurgePublisherRequest createPurgePublisherReq();

	
	/**
	 * For internal use only.
	 * 
	 * @return
	 */
	public PollRequest createPollReq();

}
