package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import org.w3c.dom.Document;

import de.fhhannover.inform.trust.ifmapj.exception.IfmapErrorResult;
import de.fhhannover.inform.trust.ifmapj.identifier.Identifier;

public class ResultFactoryImpl implements ResultFactory {


	@Override
	public NewSessionResult createNewSessionRes(String sId, String pId,
			Integer mprs) {
		return new NewSessionResultImpl(sId, pId, mprs);
	}

	@Override
	public NewSessionResult createNewSessionRes(String sId, String pId) {
		return createNewSessionRes(sId, pId, null);
	}

	@Override
	public ResultItem createResultItem(Identifier id1, Identifier id2,
			Collection<Document> mdlist) {
		return new ResultItemImpl(id1, id2, mdlist);
	}

	@Override
	public ResultItem createResultItem(Identifier id1,
			Collection<Document> mdlist) {
		return createResultItem(id1, null, mdlist);
	}

	@Override
	public SearchResult createSearchRes(Collection<ResultItem> ritems,
			String name) {
		return new SearchResultImpl(ritems, name);
	}
	
	@Override
	public SearchResult createSearchRes(Collection<ResultItem> ritems) {
		return createSearchRes(ritems, null);
	}

	@Override
	public PollResult createPollRes(
			Collection<SearchResult> sres, Collection<SearchResult> ures,
			Collection<SearchResult> dres, Collection<SearchResult> nres,
			Collection<IfmapErrorResult> eres) {
		return new PollResultImpl(sres, ures, dres, nres, eres);
	}
}
