package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import org.w3c.dom.Document;

import de.fhhannover.inform.trust.ifmapj.identifier.Identifier;

class ResultItemImpl extends MetadataHolderImpl implements ResultItem {
	
	ResultItemImpl(Identifier id1, Identifier id2, Collection<Document> mdlist) {
		if (id1 == null)
			throw new NullPointerException("id1 not allowed to be null");
		
		if (mdlist == null)
			throw new NullPointerException("metadata list not allowed to be null");
		
		setIdentifier1(id1);
		setIdentifier2(id2);
		
		for (Document doc : mdlist)
			this.addMetadata(doc);
	}

	ResultItemImpl(Identifier id1, Collection<Document> mdlist) {
		this(id1, null, mdlist);
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder("ri{");
		for (Identifier id : getIdentifier())
			if (id != null) {
				sb.append(id);
				sb.append(", ");
			}
		
		sb.append("#metadata=");
		sb.append(getMetadata().size());
		sb.append("}");
		return sb.toString();
	}
}
