package de.fhhannover.inform.trust.ifmapj.identifier;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import org.junit.Test;

/**
 * Trivial tests for {@link MacAddress} class.
 * 
 * @author ibente
 *
 */
public class MacAddressTest {
	
	public String ad = "de.fhhannover.inform.trust";
	public String mac = "11:22:33:aa:bb:cc";

	@Test
	public void testMacAddress() {
		MacAddress m = new MacAddress();
		assertNotNull(m);
		assertNull(m.getAdministrativeDomain());
		assertNull(m.getValue());
		m.setAdministrativeDomain(ad);
		m.setValue(mac);
		assertEquals(ad, m.getAdministrativeDomain());
		assertEquals(mac, m.getValue());
	}

	@Test
	public void testMacAddressToString() {
		MacAddress mac = new MacAddress();
		
		assertEquals("mac{null}", mac.toString());
		
		mac.setValue("abc");
		assertEquals("mac{abc}", mac.toString());
		
		mac.setValue(null);
		assertEquals("mac{null}", mac.toString());
		
		mac.setAdministrativeDomain("abc");
		assertEquals("mac{null, abc}", mac.toString());
		
		mac.setValue("abc");
		assertEquals("mac{abc, abc}", mac.toString());
	}
}
